diff --git a/Makefile.am b/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,9 @@
+SUBDIRS = xerbla
+
+EXTRA_DIST = README.txt
+
+include_HEADERS = UFconfig.h
+
+lib_LTLIBRARIES = libufconfig.la
+libufconfig_la_SOURCES = UFconfig.c
+libufconfig_la_LDFLAGS = -no-undefined -version-info 8:0:5
diff --git a/configure.ac b/configure.ac
new file mode 100644
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,21 @@
+AC_PREREQ([2.65])
+AC_INIT([UFconfig], [3.5.0], [davis@cise.ufl.edu])
+AC_CONFIG_SRCDIR([UFconfig.c])
+AC_CONFIG_HEADER([config.h])
+AM_INIT_AUTOMAKE([foreign])
+LT_INIT
+
+AC_PROG_INSTALL
+AC_PROG_CC
+AC_PROG_F77
+
+AC_CHECK_HEADERS([limits.h stdlib.h])
+
+AC_TYPE_SIZE_T
+
+AC_FUNC_MALLOC
+
+AC_CONFIG_FILES([
+	Makefile
+	xerbla/Makefile])
+AC_OUTPUT
diff --git a/xerbla/Makefile.am b/xerbla/Makefile.am
new file mode 100644
--- /dev/null
+++ b/xerbla/Makefile.am
@@ -0,0 +1,7 @@
+noinst_HEADERS = xerbla.h
+noinst_LTLIBRARIES = libxerbla.la libcerbla.la
+
+libxerbla_la_SOURCES = xerbla.f
+libxerbla_la_FFLAGS = $(AM_FFLAGS)
+libcerbla_la_SOURCES = xerbla.c
+libcerbla_la_CFLAGS = $(AM_CFLAGS)
